ru.bitel.bgbilling.modules.card.common.event

## Class CardGetRequestEvent

- java.lang.Object
- - ru.bitel.bgbilling.kernel.event.Event
  - - ru.bitel.bgbilling.kernel.event.QueueEvent
    - - ru.bitel.bgbilling.modules.card.common.event.CardGetRequestEvent

- All Implemented Interfaces:
    java.io.Serializable

      public class CardGetRequestEvent
      extends QueueEvent

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.bgbilling.kernel.event.Event

      `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `CardGetRequestEvent()`
    `` | `CardGetRequestEvent(int moduleId, java.lang.String cardNumber)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getActivateServiceId()`
    `long` | `getCardId()`
    `java.lang.String` | `getCardNumber()`
    `java.lang.String` | `getPinCode()`
    `int` | `getStatus()`
    `void` | `setActivateServiceId(int activateServiceId)`
    `void` | `setCardId(long cardId)`
    `void` | `setPinCode(java.lang.String pinCode)`
    `void` | `setStatus(int status)`

    - ### Methods inherited from class ru.bitel.bgbilling.kernel.event.Event

      `getContractId, getContractID, getDestination, getGenerateTime, getModuleId, getModuleID, getPluginId, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CardGetRequestEvent

          protected CardGetRequestEvent()

    - #### CardGetRequestEvent

          public CardGetRequestEvent(int moduleId,
                                     java.lang.String cardNumber)

  - ### Method Detail

    - #### getCardNumber

          public java.lang.String getCardNumber()

    - #### getCardId

          public long getCardId()

    - #### setCardId

          public void setCardId(long cardId)

    - #### getActivateServiceId

          public int getActivateServiceId()

    - #### setActivateServiceId

          public void setActivateServiceId(int activateServiceId)

    - #### getPinCode

          public java.lang.String getPinCode()

    - #### setPinCode

          public void setPinCode(java.lang.String pinCode)

    - #### getStatus

          public int getStatus()

    - #### setStatus

          public void setStatus(int status)